<?php
/**
 * @package SJ Zoo SlideShow III
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
defined('_JEXEC') or die;

?>

<?php if(!empty($list)) {
	@ob_start();
 	include JModuleHelper::getLayoutPath($module->module, 'styles');
	$stylesheet = @ob_get_contents();
	@ob_end_clean();
	$docs = JFactory::getDocument();
	$docs->addStyleDeclaration($stylesheet );
	JHTML::_('behavior.modal');

?>

<script type="text/javascript">

    $jsmart(document).ready(function($){
        
	   $('#featured<?php echo $module->id;?>').cycle({
    		fx:     '<?php echo $options->effect;?>',
    		timeout: <?php echo $options->timer_speed;?>,
    		speed:  <?php echo $options->slideshow_speed;?>, 
    		next:   '#next<?php echo $module->id;?>', 
    		prev:   '#prev<?php echo $module->id;?>',
    		pause: <?php echo ($options->play)?1:0;?>,
    		divId: <?php echo $module->id;?>,
    		theme: '<?php echo $options->theme;?>',
    		linktarget: '<?php echo $options->item_link_target;?>',
    		linkcaption: <?php echo $link_caption;?>,
    		autoPlay: <?php echo $options->auto_play;?>,
    		startingSlide: <?php echo $start;?>,
            totalItemScroll: <?php echo $count_items;?>,
            startNormalScroll: 0,
            totalArt: <?php echo $total;?>,
            endNormalScroll: <?php echo $options->num_item_per_page - 1;?>,
            width_percentage:'<?php echo $options->width_module_type;?>',
            leftScroll: <?php echo $widthItemLi+2;?>,
            bottomTheme5: <?php echo $options->item_image_height;?>,
            imageWidth: <?php echo $widthImage;?>,
            count_items: <?php echo $count_items;?>,
			show_description_when:'<?php echo $options->show_description_when; ?>',
            show_buttons_slideiii: <?php echo $options->show_buttons_slideiii;?>,
            content_layout: '<?php echo $options->content_layout;?>', 
            navigation_type: '<?php echo $options->navigation_type;?>',
            navigation_show: '<?php echo $options->navigation_show;?>',           
            num_item_per_page:<?php echo $options->num_item_per_page;?>
            
	   });

    });
</script>
<!--Intro Text-->

<!--End Intro Text-->

<?php if(!empty($options->pretext)) { ?>
<div style="text-align:left; width:<?php echo $width_type; ?>">
	<?php  echo $options->pretext;?>
</div>
<br/>
<?php  } ?>
<div class="yt_slideshowiii_module_<?php echo $options->theme;?>" id="yt_slideshowii_module_<?php echo $module->id;?>" style="width: <?php echo $width_type;?>; height: <?php echo ($options->item_image_height + $navHeight)?>px;">
    <?php ob_start();?>
    	<div class="ytc-content-slideshow-theme1 ytc-content-slideshow-theme1_<?php echo $module->id;?>" style="height:<?php echo $options->item_image_height + 10?>px;">
            <div id="featured<?php echo $module->id;?>" style="width:100%;height:<?php echo $options->item_image_height?>px;">
                <?php foreach($list as $key=>$item) {
                        if($item['image']==""){
                            $widthImage = 0;
                            $widthDesc1 = $widthDesc + $options->item_image_width;
                            if($options->width_module_type == 'yt_percentage'){
                                $widthDesc1 = '100%';
                            }
                        }else{
                            $widthImage = $options->item_image_width;
                            $widthDesc1 = $widthDesc;

                        }
                    
                    ?>
    				<div class="bd_yt_content">
                        <?php if($options->main_image_display == '1'):?>
							<div class="yt_slideshowiii_main_image" style="width:<?php echo $widthImage?>px; height:<?php echo $options->item_image_height;?>px;border:<?php echo $borderImg;?>px #E3E3E3 solid;">
								<?php if($options->main_image_linkable){ ?>
								<a  class=" <?php if($options->item_link_target=='popup'):?>modal<?php endif;?>"   href="<?php echo $item['link'];?>" target="<?php echo $options->item_link_target;?>"  rel="{handler: 'iframe', size: {x: 780, y: 500}, onClose:function(){$('sbox-content').empty();}}" style="padding:0px;display:<?php echo ($options->main_image_display)?"block":"none";?>;background: none;">                                               
								   <img src="<?php  echo YTools::resize($item['image'],$image_config);?>" title="<?php echo $item['title'];?>" alt="<?php echo $item['title']?>" height="<?php echo $options->item_image_height; ?>px" width="<?php echo $options->item_image_width?>px"/>                           
								</a>    				     
								<?php } else { ?>
									<img src="<?php  echo YTools::resize($item['image'],$image_config);?>" title="<?php echo $item['title'];?>" alt="<?php echo $item['title']?>" height="<?php echo $options->item_image_height; ?>px" width="<?php echo $options->item_image_width?>px"/>                           
								<?php  }?>
							</div>
                        <?php endif;?>
                        <?php if($options->main_desc_display== 1 || $options->main_title_display == 1 ||  $options->readmore_display==1):?>
							<?php if($options->content_layout=='image_desc'):?>
								<div class="caption_opacity_theme1 caption_<?php echo $module->id?>" id="caption_<?php echo $module->id.$key?>" style="height:<?php echo $options->item_image_height + 10;?>px;width: <?php echo $widthDesc1.'px';?>;left:<?php echo $widthImage + 10?>px">
										<?php if($options->main_title_display == 1):?>                                                                        <?php if($options->normal_title_display == 1){ ?>
											<div class="yt_title_main" title="<?php echo $item['title'];?>" style="color:<?php echo $options->main_title_color;?>;">
												<?php if($options->main_title_linkable=='1'):?>
													<a  class=" <?php if($options->item_link_target=='popup'):?>modal<?php endif;?>"   href="<?php  echo $item['link'];?>" target="<?php echo $options->item_link_target;?>"  rel="{handler: 'iframe', size: {x: 780, y: 500}, onClose:function(){$('sbox-content').empty();}}" style="color:<?php echo $options->main_title_color;?>" >									
												<?php endif;?>
														<?php echo Ytools::truncate($item['title'],$options->main_title_max_characs, '');?>
												<?php if($options->main_title_linkable=='1'):?>
													</a>
												<?php endif;?>
											</div>  
                                            <?php } ?>                                  
										<?php endif;?>
										<?php if($options->main_desc_display == 1):?> 
										<div class="yt_desc_main" style="color:<?php echo $options->main_desc_color;?>">
											<?php echo YTools::truncate($item['desc'],$options->main_desc_max_characs);?>
										</div>
										<?php endif;?>
										<?php if($options->readmore_display == 1):?>                                                              
											<div class="readmore_slideriii" title="<?php echo $item['title'];?>" style="color:<?php echo $options->main_title_color;?>">                                       
												<a  class=" <?php if($options->item_link_target=='popup'):?>modal<?php endif;?>"   href="<?php  echo $item['link'];?>" target="<?php echo $options->item_link_target;?>"  rel="{handler: 'iframe', size: {x: 780, y: 500}, onClose:function(){$('sbox-content').empty();}}" style="outline: none;color:<?php echo $options->main_title_color;?>" >																			
												  <?php echo $options->readmore_text?>
												</a>                                  
											</div>                               
										<?php endif;?>
								</div>
							<?php endif;?>
                        
							<?php if($options->content_layout=='fullimage'):?>								
								<div class="caption_opacity_fullimage caption_opacity_fullimage_<?php echo $module->id?> <?php echo $classShowDesc;?>" id="caption_<?php echo $module->id.$key?>" style="<?php if(!$key){echo "top:10px; display: block;";}?>;width:<?php echo $options->width_spotlight;?>px;">
								<div class="spotlight-left-top">&nbsp;</div>
								<div class="spotlight-right-top">&nbsp;</div>
								<div class="spotlight-top" style="width:<?php echo $options->width_spotlight-18;?>px;">&nbsp;</div>
									<div class="spotlight-middle" style="width:<?php echo $options->width_spotlight - 12;?>px;">
										<?php if($options->main_title_display == 1):?>												
											<div class="spotlight-title-item" style="outline: none;color:<?php echo $options->main_title_color;?>">													
												<?php if($options->main_title_linkable=='1'):?>
													<a  class=" <?php if($options->item_link_target=='popup'):?>modal<?php endif;?>"   href="<?php  echo $item['link'];?>" target="<?php echo $options->item_link_target;?>"  rel="{handler: 'iframe', size: {x: 780, y: 500}, onClose:function(){$('sbox-content').empty();}}" style="color:<?php echo $options->main_title_color;?>" >									
												<?php endif;?>
													<?php echo Ytools::truncate($item['title'],$options->main_title_max_characs,'');?>
												<?php if($options->main_title_linkable=='1'):?>
													</a>
												<?php endif;?>
											</div>
										<?php endif;?>
										<?php if($options->main_desc_display==1) { ?>
											<div class="spotlight-desc-item" style="color:<?php echo $options->main_desc_color;?>">
												<?php echo YTools::truncate($item['desc'],$options->main_desc_max_characs);?>
											</div>
										<?php } ?>
										<?php if($options->readmore_display==1) { ?>
											<div class="spotlight-readmore-item" style="outline: none;color:<?php echo $options->main_title_color;?>">
												<a  class=" <?php if($options->item_link_target=='popup'):?>modal<?php endif;?>"   href="<?php  echo $item['link'];?>" target="<?php echo $options->item_link_target;?>"  rel="{handler: 'iframe', size: {x: 780, y: 500}, onClose:function(){$('sbox-content').empty();}}" style="outline: none;color:<?php echo $options->main_title_color;?>" >																			
													<?php echo $options->readmore_text?>
												</a> 
											</div>
										<?php  } ?>	
									</div>
								<div class="spotlight-bottom" style="width:<?php echo $options->width_spotlight-18;?>px;">&nbsp;</div>
								<div class="spotlight-left-bottom">&nbsp;</div>
								<div class="spotlight-right-bottom">&nbsp;</div>
								</div>														                                                                                             
							<?php endif;?> 
						<?php endif;?> 
					</div>
    			<?php } ?> 
            </div>			
    	</div>
    
    <?php $slide_image = ob_get_contents(); ob_end_clean();?>
   
    <?php ob_start();
        
        if($options->display_navigation=='off'){
            $display_nav = 'display:none';
        }elseif($options->display_navigation=='on'){
            $display_nav = 'display:block';
        }
    ?>

    <?php if($options->navigation_type == 'type1'):?>    
        <div class="content-box-normal-theme1 content-box-normal-theme1-<?php echo $module->id;?>" style="height:<?php echo ($options->height_nav + 13);?>px;top: <?php echo $navTop+10;?>px;<?php echo $display_nav; ?>;">
            <div class="content-preview-theme1" style="height:<?php echo ($options->height_nav + 5);?>px;">
                <div id="prev<?php echo $module->id;?>" class="preview_theme1 buttons-theme-hover_<?php echo $module->id;?>" style="<?php echo $displayButton;?>">&nbsp;</div>
            </div>
            <div class="content-next-theme1" style="height:<?php echo ($options->height_nav + 5)?>px;">
                <div id="next<?php echo $module->id;?>" class="next_theme1 buttons-theme-hover_<?php echo $module->id;?>" style="<?php echo $displayButton;?>">&nbsp;</div>
            </div>
            <div class="yt_top_scroll yt_top_scroll_<?php echo $module->id?>" style="padding-left:<?php echo $widthItemLi;?>px">&nbsp;</div>
            <div class="content_box_theme1 content_box_theme1_<?php echo $module->id?>" style="width:<?php echo ($width_module_iii - 121);?>px;height:<?php echo ($options->height_nav)?>px !important;top:<?php echo $topItemNav;?>px !important;" >	
                <div id="cover_buttons_<?php echo $module->id;?>" class="cover_item_box" style="width: <?php echo ($widthMenuItem).'px';?>;display:<?php echo ($prenext_show)?'block':'none'?>;">
        			<div class="<?php echo $options->theme;?>">		
						<div class="buttons_<?php echo $options->theme;?> content_box_item">				
							<ul class="image_button_<?php echo $module->id;?>">
								<?php foreach($list as $key=>$item) {?>
									<li class="li_height_item_<?php echo $module->id;?> <?php echo ($key==$start)?"button_img_selected_theme1_{$module->id}":"button_img_theme1_{$module->id}";?>"  value="<?php echo $key;?>">
                                        <div class="yt_post_item_theme1 yt_post_item_multi_<?php echo $module->id;?> li_height_item_<?php echo $module->id;?>" style="width: <?php echo ($widthItemLi).'px';?>;margin-top: <?php echo $marginTop;?>px;">
                                            <?php if($options->navigation_show == 'image'):?>
												<div style="width: <?php echo $options->small_image_width + 11?>px; height:<?php echo $options->small_image_height + 10?>px;margin:0 auto;">
													<div class="yt_cor_left_top" >&nbsp;</div>
														<div class="yt_cor_right_top">&nbsp;</div>
															<div class="yt_cor_middle_top" style="width:<?php echo ($options->small_image_width+3);?>px;">&nbsp;</div>													
																<div class="yt_meta_img_theme yt_meta_img_type2" style="padding:0px;" title="<?php echo $item['title']?>">
																	<a href="<?php echo ($options->main_image_linkable)?$item['link']:"#";?>" title="<?php echo $item['title']?>" target = "<?php echo $options->item_link_target;?>">
																		<img src="<?php echo Ytools::resize($item['image'],$small_image_config);?>" style="width:<?php echo $options->small_image_width + 5?>px;height:<?php echo $options->small_image_height + 5;?>px" title="<?php echo $item['title'] ?>" alt="<?php echo $item['title'] ?>"/>
																	</a>
																</div>
															<div class="yt_cor_left_bottom">&nbsp;</div>
														<div class="yt_cor_right_bottom">&nbsp;</div>
													<div class="yt_cor_middle_bottom" style="width:<?php echo ($options->small_image_width+3);?>px;">&nbsp;</div>                                                
												</div>
                                            <?php endif;?>
                                            <?php if($options->navigation_show == 'title'):?>
                                    			<div class="yt_meta_img_theme" style="	margin-top:10px;  color:<?php echo $options->navigation_title_color;?>;">
                                    				<a href="<?php echo ($options->main_image_linkable)?$item['link']:"#";?>" target = "<?php echo $options->item_link_target;?>" title="<?php echo $item['title']?>" style="color:<?php echo $options->navigation_title_color;?>;">
														<?php echo Ytools::truncate($item['title'],$options->navigation_title_max_characs,'');?>
													</a>
                                    			</div>
                                            <?php endif;?>
                                        </div>
                                    </li>
								<?php } ?> 
							</ul>
						</div>	
        			</div>	
        		</div>	
        	</div>
            
        </div>
    <?php endif;?>
    <?php if($options->navigation_type == 'type2'):?>
            
            <div class="content-box-normal-theme1 content-box-normal-theme1-<?php echo $module->id;?>" style="height:<?php echo ($options->height_nav + 15)?>px;margin-top: <?php echo $navTop;?>px;<?php echo $display_nav; ?>;">
                <div class="yt_bor_left_top">&nbsp;</div>
                <div class="yt_bor_right_top">&nbsp;</div>
                <div class="content-preview-theme1" style="height:<?php echo ($options->height_nav + 15)?>px;">
                    <div id="prev<?php echo $module->id;?>" class="<?php echo $preview_nav;?> buttons-theme-hover_<?php echo $module->id;?>" style="top:<?php echo $topButtom;?>px;<?php echo $displayButton;?>">&nbsp;</div>
                </div>
                <div class="content-next-theme1" style="height:<?php echo ($options->small_image_height + 20)?>px;">
                    <div id="next<?php echo $module->id;?>" class="<?php echo $next_nav;?> buttons-theme-hover_<?php echo $module->id;?>" style="top:<?php echo $topButtom;?>px;<?php echo $displayButton;?>">&nbsp;</div>
                </div>
                <!--<div class="yt_top_scroll yt_top_scroll_<?php echo $module->id?>" style="padding-left:<?php echo $widthItemLi;?>px">&nbsp;</div>-->
                <?php if($options->navigation_show == 'title'):?>
                <div class="yt_top_scroll_middle yt_top_scroll_<?php echo $module->id?> " style="top:<?php echo (($options->height_nav)/2)-5?>px;padding-left:60px;">
                    <div class="yt_scroll_middle_left">&nbsp;</div>
                    <div class="yt_scroll_middle_center yt_scroll_middle_center_<?php echo $module->id;?>" style="margin:0 auto;">&nbsp;</div>
                    <div class="yt_scroll_middle_right">&nbsp;</div>
                </div>
                <?php endif;?>
                <div class="content_box_theme1 content_box_theme1_<?php echo $module->id?>" style="width:<?php echo ($width_module_iii - 121);?>px;height:<?php echo ($options->height_nav+20)?>px !important;top:<?php echo $topItemNav;?>px;" >	
                    <div id="cover_buttons_<?php echo $module->id;?>" class="cover_item_box" style="width: <?php echo ($widthMenuItem).'px';?>;display:<?php echo ($prenext_show)?'block':'none'?>">
            			<div class="<?php echo $options->theme;?>">		
    						<div class="buttons_<?php echo $options->theme;?> content_box_item">				
    							<ul class="image_button_<?php echo $module->id;?>">
    								<?php foreach($list as $key=>$item) {?>
    									<li class="li_height_item_<?php echo $module->id;?> <?php echo ($key==$start)?"button_img_selected_theme1_{$module->id}":"button_img_theme1_{$module->id}";?>" style="padding-top:<?php echo $paddingTop;?>px !important;" value="<?php echo $key;?>">
                                            <div class="yt_post_item_theme1 yt_post_item_multi_<?php echo $module->id;?> li_height_item_<?php echo $module->id;?>" style="width: <?php echo $widthItemLi.'px';?>; margin-top: 4px;">
                                                <?php if($options->navigation_show == 'image'):?>
                                                <div style="width: <?php echo $options->small_image_width + 11?>px; height:<?php echo $options->small_image_height + 10?>px;margin:0 auto;">
                                                    <div class="yt_cor_left_top">&nbsp;</div>
                                                    <div class="yt_cor_right_top">&nbsp;</div>
                                                    <div class="yt_cor_middle_top" style="width:<?php echo ($options->small_image_width+3);?>px;">&nbsp;</div>
                                        			<div class="yt_meta_img_theme yt_meta_img_type2 title-image" style="padding-top:0px;" title="<?php echo $item['title']?>">
                                        				<a href="<?php echo ($options->main_image_linkable)?$item['link']:"#";?>" target = "<?php echo $options->item_link_target;?>" title="<?php echo $item['title'];?>">
															<img src="<?php echo Ytools::resize($item['image'],$small_image_config);?>" style="width:<?php echo $options->small_image_width + 5?>px;height:<?php echo $options->small_image_height + 5;?>px" title="<?php echo $item['title'] ?>" alt="<?php echo $item['title'] ?>"/>
														
														</a>
                                        			</div>
                                                    <div class="yt_cor_left_bottom">&nbsp;</div>
                                                    <div class="yt_cor_right_bottom">&nbsp;</div>
                                                    <div class="yt_cor_middle_bottom" style="width:<?php echo ($options->small_image_width+3);?>px;">&nbsp;</div>
                                                </div>
                                                <?php endif;?>
                                                <?php if($options->navigation_show == 'title'):?>
                                                    <div class="yt_meta_img_theme yt_meta_nav_title_<?php echo $module->id.$key;?>" title="<?php echo $item['title'];?>" style="margin-top:7px;color:<?php echo $options->navigation_title_color;?>;">
                                        				<a href="<?php echo ($options->main_image_linkable)?$item['link']:"#";?>" title="<?php echo $item['title'];?>" target = "<?php echo $options->item_link_target;?>" style=" white-space: nowrap !important;
; color:<?php echo $options->navigation_title_color;?>;">
														<?php echo Ytools::truncate($item['title'],$options->navigation_title_max_characs,'');?>
														</a>
                                        			</div>
                                                <?php endif;?>
                                            </div> 
                                        </li>
    								<?php } ?> 
    							</ul>
    						</div>	
            			</div>	
            		</div>	
            	</div>
                <div class="yt_bor_left_bottom">&nbsp;</div>
                <div class="yt_bor_right_bottom">&nbsp;</div>
            </div>
            
    <?php endif;?>
    
    <?php
    $slide_desc = ob_get_contents(); ob_end_clean();?>
     
    <div class="ytc-content ytc_background_<?php echo $options->theme;?>_<?php echo $module->id;?>" style="height: <?php echo $options->item_image_height + $navHeight?>px;width:<?php echo $width_full_module;?>">
        <?php
        	if($show_img_on_right)
        	{
                echo $slide_image.$slide_desc;	
        	}
        	else
        	{
        		echo $slide_desc.$slide_image;
        	}
        ?>	
    </div>  
</div>
	<!--Start Footer Text-->
	<?php if(!empty($options->posttext)) { ?>
	<br/>
	<div style="text-align:left; width:<?php echo $width_type; ?>">
		<?php  echo $options->posttext;?>
	</div>
	<?php  } ?>
	<!--End Footer Text-->
<?php } else { echo JText::_('Has no content to show!'); }?>

