<?php
/**
 * @package SJ Zoo SlideShow III
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
defined('_JEXEC') or die;


$image_config = array(
		'output_width'  => $params->get('item_image_width'),
		'output_height' => $params->get('item_image_height'),
		'function'		=> $params->get('item_image_function'),
		'background'	=> $params->get('item_image_background')
	);
	$small_image_config=array(
		'output_width'  => $params->get('small_image_width'),
		'output_height' => $params->get('small_image_height'),
		'function'		=> $params->get('item_image_function'),
		'background'	=> $params->get('item_image_background')
	);
$options=$params->toObject();
$width_module_iii   = $params->get('width_module_slide_iii','880');
$link_caption					= $params->get('link_caption', 1);
$start							= $params->get("start", 1);
$start--;
$total                          = $params->get("total",1);
$prenext_show=$params->get("prenext_show",1);
$show_img_on_right				= $params->get('show_img_on_right',1);
$displayButton =$params->get('displayButton'); 
$classShowDesc =$params->get('classShowDesc'); 
$topItemNav=$params->get('topItemNav');
$widthDesc=$params->get('widthDesc');
 $count_items = count($list);

 $itemcount = 0;
if($list == 0){
    $list = 0;
}else{
    $itemcount = count($list);
}
if($itemcount>0){
foreach($list as $key=>$item) {
    if($item['image']==""){
        $widthImage = 0;
       
       $widthDesc1 = $widthDesc + $options->item_image_width;
        if($options->width_module_type == 'yt_percentage'){
            $widthDesc1 = '100%';
        }
    }else{
        $widthImage = $options->item_image_width;
        $widthDesc1 = $widthDesc;

    }
}
 
 }

if($options->height_nav > 130){
    $options->height_nav = 130;
}

if($options->width_module_type=='yt_percentage'){
    $width_type = $width_module_iii.'%';
	$width_full_module=$width_type;
    $widthItemLi = (($width_module_iii - 120)/$options->num_item_per_page);
   
}else{
    $width_type = ($width_module_iii+16).'px';
    $width_full_module = intval($width_type) - 16 .'px';
    $widthItemLi = (($width_module_iii - 120)/$options->num_item_per_page);
    $widthItem = (($width_module_iii)/$options->num_item_per_page);
    $widthMenuItem = $count_items * $widthItem;
    $heightItem = ($options->item_image_height/$options->num_item_per_page);
    $normalHeight = $heightItem - 20;
    
}

if($options->show_buttons_slideiii == 2 || $options->show_buttons_slideiii == 0){
    $displayButton = 'display:none';
}

if($options->navigation_type == 'type1'){
    if($options->navigation_show == 'image'){
        $heightNav = $options->small_image_height+30;
        $marginTop = 4;
    }else{
        $options->height_nav = $options->height_nav + 7;
        $marginTop = ($options->height_nav-35)/2;
    }
    
}

if($options->show_description_when == 'hover'){
    $classShowDesc = 'hidden_desc';
}

if($count_items<$options->num_item_per_page){
    $count_items = $options->num_item_per_page;
}
elseif($count_items>=$options->num_item_per_page){
    $count_items = $count_items;
    $options->num_item_per_page = $options->num_item_per_page;
}


if($options->content_layout == 'fullimage'){
    $borderImg = 0;
}else{
    $borderImg = 5;
}


if($options->navigation_show == 'image'){
    if($options->small_image_height > 110){
        $options->small_image_height = 110;
    }
    
    if($options->small_image_height>$options->height_nav){
        $options->height_nav = $options->small_image_height + 20;
        $topItemNav = 0;
    }
    if($options->small_image_height==$options->height_nav){
        $options->height_nav = $options->height_nav + 20;
        $topItemNav = 0;
    }
    if($options->small_image_height<$options->height_nav){
        $options->small_image_height = $options->small_image_height;
        if($options->navigation_type == 'type2'){
            $topItemNav = (($options->height_nav - $options->small_image_height)/2)-3;
        }else{
            $topItemNav = (($options->height_nav - $options->small_image_height)/2)-12;
        }
        $options->height_nav = $options->height_nav;
        $navHeight = $options->height_nav + 80;
        
        $heightNav = $options->height_nav+7;
    }
    
    $navTop = 25;
}
else{
    if($options->navigation_type == 'type2'){
        $navTop = 25;
    }
    else{
        $navTop = 25;
        if($options->height_nav < 130){
           $topItemNav = 5; 
        }
    }
   
}
if($options->display_navigation == 'on'){
    if($options->navigation_type == 'type2' && $options->navigation_show == 'title'){
        $navHeight = $options->height_nav+77;
    }elseif($options->navigation_type == 'type2' && $options->navigation_show == 'image'){
        $navHeight = $options->height_nav+72;
    }elseif($options->navigation_type == 'type1' && $options->navigation_show == 'image'){
        $navHeight = $options->height_nav+80;
        
    }elseif($options->navigation_type == 'type1' && $options->navigation_show == 'title'){
        $navHeight = $options->height_nav + 70;
    }
}else{
    $navHeight = 30;
}
if($options->navigation_type == 'type2'){
    if($options->navigation_show == 'title'){
        $preview_nav = 'preview_nav_title'; 
        $next_nav = 'next_nav_title';
        $options->height_nav = $options->height_nav;
        $paddingTop = intval(($options->height_nav-8)/2);
        $topButtom = intval(($options->height_nav)/2)-12; 
    }else{
        $preview_nav = 'preview_nav_image'; 
        $next_nav = 'next_nav_image'; 
        $paddingTop = 4;
        $topButtom = intval(($options->height_nav-20)/2);
        
    }
}

if($options->content_layout=='image_desc'){

    $widthImage = $options->item_image_width;
    $widthDesc = ($width_module_iii-$widthImage)-20;
}
else{
    $widthDesc = 0;
    $options->main_image_display = 1;
    if($options->item_image_width<$width_module_iii){
        $widthImage = $width_module_iii;
    }
}

if($options->main_image_display=='0'){
   $widthDesc =  $width_module_iii;
   $widthImage = 0;
   $options->item_image_width = 0;
}

?>
.caption_opacity_fullimage_<?php echo $module->id?>{
  top:10px;filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=70);
  -MS-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=80)";
  opacity:<?php echo $options->opacity_main; ?> ;
    }

<?php if($options->navigation_type == 'type2' && $options->navigation_show == 'image'){ ?>
	.button_img_selected_theme1_<?php echo  $module->id; ?>{
		background:url('<?php echo  JURI::base().'modules/'.$module->module.'/assets/images/'.$options->theme.'/img_top_nav.png'?>') no-repeat scroll top transparent !important;
	}
<?php }?>
